## poedit 1.3.9

=== build/SConstruct ===


DB_VERSION = '4.5.20'
DB_URL = 'http://download.oracle.com/berkeley-db/db-%s.tar.gz' % DB_VERSION
DB_PATCHES = ['http://www.oracle.com/technology/products/berkeley-db/db/update/4.5.20/patch.4.5.20.1',
              'http://www.oracle.com/technology/products/berkeley-db/db/update/4.5.20/patch.4.5.20.2']
DB_FILES = ['db_static.vcproj', 'db_static_dbginfo.vsprops']
DB_CONFIGURE = '--disable-cryptography --disable-replication ' + \
               '--disable-statistics --disable-shared --enable-static'

LIBICONV_VERSION = '1.11'
LIBICONV_URL = 'ftp://ftp.gnu.org/pub/gnu/libiconv/libiconv-%s.tar.gz' % LIBICONV_VERSION
LIBICONV_CONFIGURE = '--disable-shared'

GETTEXT_VERSION = '0.16.1'
GETTEXT_URL = 'ftp://ftp.gnu.org/pub/gnu/gettext/gettext-%s.tar.gz' % GETTEXT_VERSION
GETTEXT_PATCHES = ['gettext-0.16.1-mingw-localenames.patch']
GETTEXT_CONFIGURE = '--disable-java ' + \
                    '--disable-rpath --disable-openmp ' + \
                    '--disable-shared '
GETTEXT_BINARIES = ['msgfmt', 'msgmerge', 'msgunfmt', 'xgettext', 'msgcat']

WX_VERSION = '2.8.6'
WX_URL = 'ftp://ftp.wxwidgets.org/pub/%s/wxWidgets-%s.tar.bz2' % (WX_VERSION, WX_VERSION)
WX_PATCHES = ['wx-2.8.6-mac-dialog-fix.patch']
# NB: don't use --enable-debug_info, it forces -O0!
WX_CONFIGURE = '--disable-shared --enable-unicode --disable-tga'
WX_WINFLAGS = 'SHARED=0 BUILD=release DEBUG_INFO=1 UNICODE=1 USE_MEDIA=0 USE_AUI=0 USE_RICHTEXT=0 USE_STC=0 USE_QA=1'

SPARKLE_VERSION = '1.1'
SPARKLE_URL = 'http://www.andymatuschak.org/files/Sparkle-%s.zip' % SPARKLE_VERSION
SPARKLE_PATCHES = ['sparkle-1.1-carbon.patch']

INNOSETUP_VERSION = '5.2.2'
INNOSETUP_URL = 'http://files.jrsoftware.org/ispack/ispack-%s.exe' % INNOSETUP_VERSION
INNOUNP_URL = 'http://innounp.sf.net/test020.rar'


from rlsbot import BuildEnvironment
env = BuildEnvironment()


env['OSX_SDKROOT'] = '/Developer/SDKs/MacOSX10.4u.sdk'
env['OSX_CFLAGS'] = '-isysroot $OSX_SDKROOT -O2 -ggdb3'
env['OSX_CXXFLAGS'] = '-isysroot $OSX_SDKROOT -O2 -ggdb3'
env['OSX_OBJCFLAGS'] = '-isysroot $OSX_SDKROOT -O2 -ggdb3'
env['OSX_LDFLAGS'] = '-Wl,-syslibroot,$OSX_SDKROOT -ggdb3' # -feliminate-dwarf2-dups'
env['OSX_CFLAGS_PPC'] = '$OSX_CFLAGS -arch ppc'
env['OSX_CXXFLAGS_PPC'] = '$OSX_CXXFLAGS -arch ppc'
env['OSX_OBJCFLAGS_PPC'] = '$OSX_OBJCFLAGS -arch ppc'
env['OSX_LDFLAGS_PPC'] = '$OSX_LDFLAGS -arch ppc'
env['OSX_CFLAGS_X86'] = '$OSX_CFLAGS -arch i386'
env['OSX_CXXFLAGS_X86'] = '$OSX_CXXFLAGS -arch i386'
env['OSX_OBJCFLAGS_X86'] = '$OSX_OBJCFLAGS -arch i386'
env['OSX_LDFLAGS_X86'] = '$OSX_LDFLAGS -arch i386'
env['OSX_HOST_PPC'] = 'powerpc-apple-darwin8'
env['OSX_HOST_X86'] = 'i686-apple-darwin8'

# FIXME: this should be per-agent configuration
env['MINGW_HOST'] = 'i686-pc-mingw32'

# FIXME: this should be per-agent configuration
# FIXME: have some directives on specifying what is required from the agent
# native type of the agent we're executing on
env['OSX_NATIVE'] = 'ppc' # 'ppc' or 'x86'

OSX_ENVIRONMENT_COMMON = {
        'MACOSX_DEPLOYMENT_TARGET' : '10.4',
    }

OSX_ENVIRONMENT_PPC = {
        'CFLAGS'   : '$OSX_CFLAGS_PPC',
        'CXXFLAGS' : '$OSX_CXXFLAGS_PPC',
        'OBJCFLAGS' : '$OSX_OBJCFLAGS_PPC',
        'LDFLAGS'  : '$OSX_LDFLAGS_PPC',
    }
OSX_ENVIRONMENT_PPC.update(OSX_ENVIRONMENT_COMMON)

OSX_ENVIRONMENT_X86 = {
        'CFLAGS'   : '$OSX_CFLAGS_X86',
        'CXXFLAGS' : '$OSX_CXXFLAGS_X86',
        'OBJCFLAGS' : '$OSX_OBJCFLAGS_X86',
        'LDFLAGS'  : '$OSX_LDFLAGS_X86',
    }
OSX_ENVIRONMENT_X86.update(OSX_ENVIRONMENT_COMMON)


# FIXME: these two should be in agent-specific (SCons) environment rather
#        that agent/target execution (OS) environment
MINGW_ENVIRONMENT = {
        'CC'        : '$MINGW_HOST-gcc',
        'CXX'       : '$MINGW_HOST-g++',
    }

VS2005_ENVIRONMENT = {
        'MSVS_PATH' : 'C:\\Program Files\\Microsoft Visual Studio 8',
        'PSDK_PATH' : 'C:\\Program Files\\Microsoft Platform SDK',
    }


# -----------------------------------------------------------------
# Berkeley DB
# -----------------------------------------------------------------

src_db = env.ComponentSources(
        name='db',
        source=DB_URL,
        patches=DB_PATCHES,
        morefiles=DB_FILES,
        post_commands=['mv db_static* build_windows'])


db_osx_ppc = env.BuildComponent(
        name='db-osx-ppc',
        agent='osx',
        sources=src_db,
        deps=None,
        commands=[
            '(cd build_unix ; ../dist/configure --host=$OSX_HOST_PPC --prefix=/usr/local %s)' % DB_CONFIGURE,
            '(cd build_unix ; make)',
            '(cd build_unix; make install DESTDIR=`pwd`/../D)',
            'rm -rf D/usr/local/docs'
            ],
        environment=OSX_ENVIRONMENT_PPC,
        outputs=['D/usr/local/*'])

db_osx_x86 = env.BuildComponent(
        name='db-osx-x86',
        agent='osx',
        sources=src_db,
        deps=None,
        commands=[
            '(cd build_unix ; ../dist/configure --host=$OSX_HOST_X86 --prefix=/usr/local %s)' % DB_CONFIGURE,
            '(cd build_unix ; make)',
            '(cd build_unix; make install DESTDIR=`pwd`/../D)',
            'rm -rf D/usr/local/docs'
            ],
        environment=OSX_ENVIRONMENT_X86,
        outputs=['D/usr/local/*'])

db_osx = env.Alias('build-db-osx', [db_osx_ppc, db_osx_x86])


db_win32 = env.BuildComponent(
        name='db-win32',
        agent=['win32','vs2005'],
        sources=src_db,
        deps=None,
        toolchain=env.VisualStudioToolchain,
        commands=[
            'cd build_windows',
            'vcbuild /useenv /override:db_static_dbginfo.vsprops /platform:Win32 db_static.vcproj Release',
            'del /f /q Release\\db_static\\*.*',
            ],
        environment=VS2005_ENVIRONMENT,
        outputs=['build_windows'])


# -----------------------------------------------------------------
# libiconv (needed by gettext)
# -----------------------------------------------------------------

src_libiconv = env.ComponentSources(
        name='libiconv',
        source=LIBICONV_URL)


libiconv_win32 = env.BuildComponent(
        name='libiconv-win32',
        agent='mingw',
        sources=src_libiconv,
        deps=None,
        commands=[
            './configure --host=$MINGW_HOST %s' % LIBICONV_CONFIGURE,
            'make',
            'make install DESTDIR=`pwd`/D',
            ],
        environment=MINGW_ENVIRONMENT,
        outputs=['D/usr/local/*'])

# -----------------------------------------------------------------
# GNU gettext
# -----------------------------------------------------------------

src_gettext = env.ComponentSources(
        name='gettext',
        source=GETTEXT_URL,
        patches=GETTEXT_PATCHES)

gettext_osx_ppc = env.BuildComponent(
        name='gettext-osx-ppc',
        agent='osx',
        sources=src_gettext,
        deps=None,
        commands=[
            './configure --host=$OSX_HOST_PPC --with-libiconv-prefix=$OSX_SDKROOT/usr %s' % GETTEXT_CONFIGURE,
            'make',
            'make install DESTDIR=`pwd`/D',
            ],
        environment=OSX_ENVIRONMENT_PPC,
        outputs=['D/usr/local/bin/*'])

gettext_osx_x86 = env.BuildComponent(
        name='gettext-osx-x86',
        agent='osx',
        sources=src_gettext,
        deps=None,
        commands=[
            './configure --host=$OSX_HOST_X86 --with-libiconv-prefix=$OSX_SDKROOT/usr %s' % GETTEXT_CONFIGURE,
            'make',
            'make install DESTDIR=`pwd`/D',
            ],
        environment=OSX_ENVIRONMENT_X86,
        outputs=['D/usr/local/bin/*'])

gettext_osx = env.BuildComponent(
        name='gettext-osx',
        agent='osx',
        sources=[],
        deps=[(gettext_osx_ppc, 'ppc'), (gettext_osx_x86, 'x86')],
        commands=[
            'mkdir univ',
            'for i in %s ; do lipo -arch ppc ppc/$$i -arch i386 x86/$$i -create -output univ/$$i; done' % ' '.join(GETTEXT_BINARIES)
            ],
        environment=OSX_ENVIRONMENT_COMMON,
        outputs=['univ/*'])

gettext_win32 = env.BuildComponent(
        name='gettext-win32',
        agent='mingw',
        sources=src_gettext,
        deps=[(libiconv_win32, 'libiconv')],
        commands=[
            './configure --host=$MINGW_HOST --with-libiconv-prefix=`pwd`/libiconv %s' % GETTEXT_CONFIGURE,
            'make',
            'make install-strip DESTDIR=`pwd`/D',
            'cp COPYING `pwd`/D/usr/local/bin',
            ],
        environment=MINGW_ENVIRONMENT,
        outputs=['D/usr/local/bin/*'])


# -----------------------------------------------------------------
# Sparkle
# -----------------------------------------------------------------

src_sparkle = env.ComponentSources(
        name='sparkle',
        source=SPARKLE_URL,
        patches=SPARKLE_PATCHES)


sparkle = env.BuildComponent(
        name='sparkle',
        agent='osx',
        sources=src_sparkle,
        deps=None,
        commands=[
            'cd Extras/Source',
            'xcodebuild -project Sparkle.xcodeproj -target Sparkle -configuration Release',
            ],
        environment=OSX_ENVIRONMENT_COMMON,
        outputs=['Extras/Source/build/Release/*'])

# -----------------------------------------------------------------
# wxWidgets
# -----------------------------------------------------------------

src_wx = env.ComponentSources(
        name='wx',
        source=WX_URL,
        patches=WX_PATCHES,
        post_commands=['(cd locale ; make allmo)'])

wx_osx_ppc = env.BuildComponent(
        name='wx-osx-ppc',
        agent='osx',
        sources=src_wx,
        deps=None,
        commands=[
            './configure --host=$OSX_HOST_PPC %s' % WX_CONFIGURE,
            'make',
            'make install DESTDIR=`pwd`/D',
            '(cd D/usr/local/bin; ln -sf ../lib/wx/config/* wx-config)'],
        environment=OSX_ENVIRONMENT_PPC,
        outputs=['D/usr/local/*'])

wx_osx_x86 = env.BuildComponent(
        name='wx-osx-x86',
        agent='osx',
        sources=src_wx,
        deps=None,
        commands=[
            './configure --host=$OSX_HOST_X86 %s' % WX_CONFIGURE,
            'make',
            'make install DESTDIR=`pwd`/D',
            '(cd D/usr/local/bin; ln -sf ../lib/wx/config/* wx-config)'],
        environment=OSX_ENVIRONMENT_X86,
        outputs=['D/usr/local/*'])

wx_osx = env.Alias('build-wx-osx', [wx_osx_ppc, wx_osx_x86])

wx_win32 = env.BuildComponent(
        name='wx-win32',
        agent=['win32', 'vs2005'],
        sources=src_wx,
        deps=None,
        toolchain=env.VisualStudioToolchain,
        commands=[
            'cd build/msw',
            'nmake -f makefile.vc %s' % WX_WINFLAGS,
            'cd ../../utils/wxrc',
            'nmake -f makefile.vc %s' % WX_WINFLAGS],
        environment=VS2005_ENVIRONMENT,
        outputs=['include', 'lib', 'locale', 'utils/wxrc/vc_*/wxrc.exe*'])


# -----------------------------------------------------------------
# innosetup
# -----------------------------------------------------------------

src_innounp = env.ComponentSources(
        name='innounp',
        source=INNOUNP_URL)

src_innosetup = env.ComponentSources(
        name='innosetup',
        source=INNOSETUP_URL)

innosetup = env.BuildComponent(
        name='innosetup',
        agent='win32',
        sources=src_innosetup,
        deps=[src_innounp],
        commands=[
            'innounp -x ispack-5.2.2.exe',
            'move {app}\\ISCC?2.exe {app}\\ISCC.exe',
            'del {app}\\ISCC?1.exe',
            'move {app}\\ISCmplr?2.dll {app}\\ISCmplr.dll',
            'move {app}\\ISCmplr?1.dll {app}\\ISCmplr.dls',
        ],
        outputs=['{app}/*'])


# -----------------------------------------------------------------
# poedit
# -----------------------------------------------------------------

src_poedit = env.ComponentSources(
        name='poedit',
        source='..',
        post_commands=['./bootstrap'])

poedit_tarball = env.BuildComponent(
        name='poedit-tarball',
        agent='unix',

## poedit 1.0.3-4

=== debian/changelog ===
poedit (1.0.3-4) unstable; urgency=low

  * Spelling correction in debian/control description field (Closes: #125257).

 -- Yooseong Yang <yooseong@debian.org>  Mon, 31 Dec 2001 15:48:37 +0900

poedit (1.0.3-2) unstable; urgency=low

  * Command name changed into __poeditor__ not poedit (Closes: #101405).

 -- Yooseong Yang <yooseong@debian.org>  Wed, 27 June 2001 23:29:37 +0900

poedit (1.0.3) unstable; urgency=low

  * Initial Release.

 -- Yooseong Yang <yooseong@debian.org>  Wed, 27 June 2001 23:29:37 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: poedit
Section: text
Priority: optional
Maintainer: Yooseong Yang <yooseong@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgtk1.2-dev (>= 1.2.6), libwxgtk2.2-dev (>= 2.2.6), wxwin2.2-headers (>= 2.2.6) 
Standards-Version: 3.5.2

Package: poedit
Architecture: any
Depends: libwxgtk2.2 (>= 2.2.6), gettext (>= 0.10.35), gettext-base (>= 0.10.35)
Description: Cross-platform gettext catalog editor
 Generator for po to mo. It is built with wxWindows toolkit and can
 run on Unix or Windows. 
 It aims to provide convenient way of editing gettext catalogs. 
 It features UTF-8 support, fuzzy and untranslated 
 records highlighting, whitespace highlighting, references browser, 
 header editing and can be used to create new catalogs or update 
 existing catalogs from source code with a single click.

=== debian/debian/control ===
Source: poedit
Section: text
Priority: optional
Maintainer: Yooseong Yang <yooseong@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgtk1.2-dev (>= 1.2.6), libwxgtk2.2-dev (>= 2.2.6), wxwin2.2-headers (>= 2.2.6) 
Standards-Version: 3.5.2

Package: poedit
Architecture: any
Depends: libwxgtk2.2 (>= 2.2.6), gettext (>= 0.10.35), gettext-base (>= 0.10.35)
Description: Cross-platform gettext catalog editor
 Generator for po to mo. It is built with wxWindows toolkit and can
 run on Unix or Windows. 
 It aims to provide convenient way of editing gettext catalogs. 
 It features UTF-8 support, fuzzy and untranslated 
 records highlighting, whitespaces highlighting, references browser, 
 headers editing and can be used to create new catalogs or update 
 existing catalogs from source code by single click.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

package = poedit
tmp = $(shell pwd)/debian/tmp
docdir = $(tmp)/usr/share/doc/$(package)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr 
#	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/poedit.sgml > poedit.1

	touch build-stamp

clean:checkroot
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install:checkroot build 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/poedit.
#	$(checkdir)
#	-rm -rf debian/tmp
#	install -d debian/tmp
#	cd debian/tmp && install -d `cat ../dirs`
	#$(MAKE) install prefix=`pwd`/debian/tmp/usr
	$(MAKE) install prefix=$(CURDIR)/debian/poedit/usr \
	    GNOME_DATA_DIR=$(CURDIR)/debian/poedit/usr/share \
	    KDE_DATA_DIR=$(CURDIR)/debian/poedit/usr/share
	mv $(CURDIR)/debian/poedit/usr/bin/poedit $(CURDIR)/debian/poedit/usr/bin/poeditor
#	mkdir -p $(CURDIR)/debian/poedit/usr/share/doc/$(package)
#	cp -a debian/copyright\
#	$(CURDIR)/debian/poedit/usr/share/doc/$(package)  
#	install -d debian/tmp/DEBIAN\
#		   debian/tmp/usr/share/doc/$(package) 
#	install -m 755 debian/prerm debian/postinst debian/tmp/DEBIAN
#	cp -a debian/copyright debian/tmp/usr/share/doc/$(package)
#	mkdir -p debian/tmp/usr/share/doc/$(package)
#	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

checkroot:
        test root = "`whoami`"
	
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## poedit 1.4.2

=== build/SConstruct ===


DB_VERSION = '4.5.20'
DB_URL = 'http://download.oracle.com/berkeley-db/db-%s.tar.gz' % DB_VERSION
DB_PATCHES = ['http://www.oracle.com/technology/products/berkeley-db/db/update/4.5.20/patch.4.5.20.1',
              'http://www.oracle.com/technology/products/berkeley-db/db/update/4.5.20/patch.4.5.20.2']
DB_FILES = ['db_static.vcproj', 'db_static_dbginfo.vsprops']
DB_CONFIGURE = '--disable-cryptography --disable-replication ' + \
               '--disable-statistics --disable-shared --enable-static'

LIBICONV_VERSION = '1.12'
LIBICONV_URL = 'ftp://ftp.gnu.org/pub/gnu/libiconv/libiconv-%s.tar.gz' % LIBICONV_VERSION
LIBICONV_CONFIGURE = '--disable-static'

LIBGOMP_URL = 'http://www.opensource.apple.com/darwinsource/tarballs/other/gcc_42-5531.tar.gz'
LIBGOMP_CONFIGURE = '--disable-multilib --disable-shared --with-pic'
LIBGOMP_PATCHES = ['libgomp-sysconf-failure-fix.patch',
                   'libgomp-osx-10.4-fix.patch']

GETTEXT_VERSION = '0.17'
GETTEXT_URL = 'ftp://ftp.gnu.org/pub/gnu/gettext/gettext-%s.tar.gz' % GETTEXT_VERSION
GETTEXT_CONFIGURE = '--disable-java --disable-rpath ' + \
                    '--disable-static '
GETTEXT_BINARIES = ['msgfmt', 'msgmerge', 'msgunfmt', 'xgettext', 'msgcat']

WX_VERSION = '2.8.7'
WX_URL = 'ftp://ftp.wxwidgets.org/pub/%s/wxWidgets-%s.tar.bz2' % (WX_VERSION, WX_VERSION)
WX_PATCHES = ['wx-2.8.7-mac-listctrl-refreshitem.patch',
              'wx-2.8.7-mac-listctrl-attributes.patch',
              'wx-2.8.7-msw-clipboard-events.patch',
              'wx-2.8.7-msw-richedit-border.patch']

# NB: don't use --enable-debug_info, it forces -O0!
WX_CONFIGURE = '--disable-shared --enable-unicode --disable-tga'
WX_WINFLAGS = 'SHARED=0 BUILD=release DEBUG_INFO=1 UNICODE=1 USE_MEDIA=0 USE_AUI=0 USE_RICHTEXT=0 USE_STC=0 USE_QA=1'

SPARKLE_VERSION = '1.1'
SPARKLE_URL = 'http://www.andymatuschak.org/files/Sparkle-%s.zip' % SPARKLE_VERSION
SPARKLE_PATCHES = ['sparkle-1.1-carbon.patch']

INNOSETUP_VERSION = '5.2.2'
INNOSETUP_URL = 'http://files.jrsoftware.org/ispack/ispack-%s.exe' % INNOSETUP_VERSION
INNOUNP_URL = 'http://innounp.sf.net/test020.rar'


from rlsbot import BuildEnvironment
env = BuildEnvironment()


env['OSX_SDKROOT'] = '/Developer/SDKs/MacOSX10.4u.sdk'
env['OSX_CFLAGS'] = '-isysroot $OSX_SDKROOT -O2 -ggdb3'
env['OSX_CXXFLAGS'] = '-isysroot $OSX_SDKROOT -O2 -ggdb3'
env['OSX_OBJCFLAGS'] = '-isysroot $OSX_SDKROOT -O2 -ggdb3'
env['OSX_LDFLAGS'] = '-Wl,-syslibroot,$OSX_SDKROOT -ggdb3' # -feliminate-dwarf2-dups'
env['OSX_CFLAGS_PPC'] = '$OSX_CFLAGS -arch ppc'
env['OSX_CXXFLAGS_PPC'] = '$OSX_CXXFLAGS -arch ppc'
env['OSX_OBJCFLAGS_PPC'] = '$OSX_OBJCFLAGS -arch ppc'
env['OSX_LDFLAGS_PPC'] = '$OSX_LDFLAGS -arch ppc'
env['OSX_CFLAGS_X86'] = '$OSX_CFLAGS -arch i386'
env['OSX_CXXFLAGS_X86'] = '$OSX_CXXFLAGS -arch i386'
env['OSX_OBJCFLAGS_X86'] = '$OSX_OBJCFLAGS -arch i386'
env['OSX_LDFLAGS_X86'] = '$OSX_LDFLAGS -arch i386'
env['OSX_HOST_PPC'] = 'powerpc-apple-darwin8'
env['OSX_HOST_X86'] = 'i686-apple-darwin8'

# FIXME: this should be per-agent configuration
# FIXME: have some directives on specifying what is required from the agent
# native type of the agent we're executing on
env['OSX_NATIVE'] = 'ppc' # 'ppc' or 'x86'

OSX_ENVIRONMENT_COMMON = {
        'MACOSX_DEPLOYMENT_TARGET' : '10.4',
    }

OSX_ENVIRONMENT_PPC = {
        'CFLAGS'   : '$OSX_CFLAGS_PPC',
        'CXXFLAGS' : '$OSX_CXXFLAGS_PPC',
        'OBJCFLAGS' : '$OSX_OBJCFLAGS_PPC',
        'LDFLAGS'  : '$OSX_LDFLAGS_PPC',
    }
OSX_ENVIRONMENT_PPC.update(OSX_ENVIRONMENT_COMMON)

OSX_ENVIRONMENT_X86 = {
        'CFLAGS'   : '$OSX_CFLAGS_X86',
        'CXXFLAGS' : '$OSX_CXXFLAGS_X86',
        'OBJCFLAGS' : '$OSX_OBJCFLAGS_X86',
        'LDFLAGS'  : '$OSX_LDFLAGS_X86',
    }
OSX_ENVIRONMENT_X86.update(OSX_ENVIRONMENT_COMMON)


VS2005_ENVIRONMENT = {
        'MSVS_PATH' : 'C:\\Program Files\\Microsoft Visual Studio 8',
        'PSDK_PATH' : 'C:\\Program Files\\Microsoft Platform SDK',
    }


# -----------------------------------------------------------------
# Berkeley DB
# -----------------------------------------------------------------

src_db = env.ComponentSources(
        name='db',
        source=DB_URL,
        patches=DB_PATCHES,
        morefiles=DB_FILES,
        post_commands=['mv db_static* build_windows'])


db_osx_ppc = env.BuildComponent(
        name='db-osx-ppc',
        agent='osx',
        sources=src_db,
        deps=None,
        commands=[
            '(cd build_unix ; ../dist/configure --host=$OSX_HOST_PPC --prefix=/usr/local %s)' % DB_CONFIGURE,
            '(cd build_unix ; make)',
            '(cd build_unix; make install DESTDIR=`pwd`/../D)',
            'rm -rf D/usr/local/docs'
            ],
        environment=OSX_ENVIRONMENT_PPC,
        outputs=['D/usr/local/*'])

db_osx_x86 = env.BuildComponent(
        name='db-osx-x86',
        agent='osx',
        sources=src_db,
        deps=None,
        commands=[
            '(cd build_unix ; ../dist/configure --host=$OSX_HOST_X86 --prefix=/usr/local %s)' % DB_CONFIGURE,
            '(cd build_unix ; make)',
            '(cd build_unix; make install DESTDIR=`pwd`/../D)',
            'rm -rf D/usr/local/docs'
            ],
        environment=OSX_ENVIRONMENT_X86,
        outputs=['D/usr/local/*'])

db_osx = env.Alias('build-db-osx', [db_osx_ppc, db_osx_x86])


db_win32 = env.BuildComponent(
        name='db-win32',
        agent=['win32','vs2005'],
        sources=src_db,
        deps=None,
        toolchain=env.VisualStudioToolchain,
        commands=[
            'cd build_windows',
            'vcbuild /useenv /override:db_static_dbginfo.vsprops /platform:Win32 db_static.vcproj Release',
            'del /f /q Release\\db_static\\*.*',
            ],
        environment=VS2005_ENVIRONMENT,
        outputs=['build_windows'])


# -----------------------------------------------------------------
# libiconv (needed by gettext)
# -----------------------------------------------------------------

src_libiconv = env.ComponentSources(
        name='libiconv',
        source=LIBICONV_URL)


libiconv_win32 = env.BuildComponent(
        name='libiconv-win32',
        agent='mingw',
        sources=src_libiconv,
        deps=None,
        commands=[
            './configure --host=$$MINGW_HOST %s' % LIBICONV_CONFIGURE,
            'make',
            'make install DESTDIR=`pwd`/D',
            '$$MINGW_HOST-strip -x D/usr/local/bin/*.dll', # FIXME
            ],
        outputs=['D/usr/local/*'])

# -----------------------------------------------------------------
# libgomp (needed by gettext's msgmerge on OS X)
# -----------------------------------------------------------------

# Apple's GCC 4.2 Preview 1 has broken OpenMP installation:
#   1) omp.h header is not installed in SDKs
#   2) libgomp.a included in 10.4u SDK is built for 10.5 and depends on
#      newly added symbols
# Because of this, we have to build our own copy if GOMP if we want to
# take advantage of OpenMP on OSX 10.4.

src_libgomp = env.ComponentSources(
        name='libgomp',
        source=LIBGOMP_URL,
        patches=LIBGOMP_PATCHES,
        post_commands=[
            'mkdir .junk',
            'mv * .junk',
            'mkdir -p gcc/doc',
            'mv .junk/gcc/doc/include gcc/doc',
            'mv .junk/libgomp .',
            'mv `find .junk -maxdepth 1 -type f` .',
            'rm -rf .junk',
        ])

libgomp_osx_ppc = env.BuildComponent(
        name='libgomp-osx-ppc',
        agent='osx10.5',
        sources=src_libgomp,
        deps=None,
        commands=[
            'mkdir libgomp/build',
            'cd libgomp/build',
            '../configure --host=$OSX_HOST_PPC CC=$$OSX_CC_42 --prefix=/usr/local %s' % LIBGOMP_CONFIGURE,
            'make',
            'make install DESTDIR=`pwd`/../../D',
            'mkdir ../../D/usr/local/include',
            'cp omp.h ../../D/usr/local/include',
            ],
        environment=OSX_ENVIRONMENT_PPC,
        outputs=['D/usr/local/*'])

libgomp_osx_x86 = env.BuildComponent(
        name='libgomp-osx-x86',
        agent='osx10.5',
        sources=src_libgomp,
        deps=None,
        commands=[
            'mkdir libgomp/build',
            'cd libgomp/build',
            '../configure --host=$OSX_HOST_X86 CC=$$OSX_CC_42 --prefix=/usr/local %s' % LIBGOMP_CONFIGURE,
            'make',
            'make install DESTDIR=`pwd`/../../D',
            'mkdir ../../D/usr/local/include',
            'cp omp.h ../../D/usr/local/include',
            ],
        environment=OSX_ENVIRONMENT_X86,
        outputs=['D/usr/local/*'])

libgomp_osx = env.Alias('build-libgomp-osx', [libgomp_osx_ppc, libgomp_osx_x86])


# -----------------------------------------------------------------
# GNU gettext
# -----------------------------------------------------------------

src_gettext = env.ComponentSources(
        name='gettext',
        source=GETTEXT_URL)

gettext_osx_ppc = env.BuildComponent(
        name='gettext-osx-ppc',
        agent='osx10.5',
        sources=src_gettext,
        deps=[(libgomp_osx_ppc, 'libgomp')],
        commands=[
            './configure --host=$OSX_HOST_PPC'
            '       --with-libiconv-prefix=$OSX_SDKROOT/usr %s'
            '       CC=$$OSX_CC_42 CXX=$$OSX_CXX_42'
            '       CPPFLAGS="-I`pwd`/libgomp/include $$CPPFLAGS"'
            '       LDFLAGS="-L`pwd`/libgomp/lib $$LDFLAGS"' % GETTEXT_CONFIGURE,
            'make',
            'make install DESTDIR=`pwd`/D -j1',
            ],
        environment=OSX_ENVIRONMENT_PPC,
        outputs=['D/usr/local/*'])

gettext_osx_x86 = env.BuildComponent(
        name='gettext-osx-x86',
        agent='osx10.5',
        sources=src_gettext,
        deps=[(libgomp_osx_x86, 'libgomp')],
        commands=[
            './configure --host=$OSX_HOST_X86'
            '       --with-libiconv-prefix=$OSX_SDKROOT/usr %s'
            '       CC=$$OSX_CC_42 CXX=$$OSX_CXX_42'
            '       CPPFLAGS="-I`pwd`/libgomp/include $$CPPFLAGS"'
            '       LDFLAGS="-L`pwd`/libgomp/lib $$LDFLAGS"' % GETTEXT_CONFIGURE,
            'make',
            'make install DESTDIR=`pwd`/D -j1',
            ],
        environment=OSX_ENVIRONMENT_X86,
        outputs=['D/usr/local/*'])

gettext_osx = env.BuildComponent(
        name='gettext-osx',
        agent='osx',
        sources=[],
        deps=[(gettext_osx_ppc, 'ppc'), (gettext_osx_x86, 'x86')],
        commands=[
            'mkdir -p univ/bin univ/lib',
            'for i in %s ; do lipo -arch ppc ppc/bin/$$i -arch i386 x86/bin/$$i -create -output univ/bin/$$i; done' % ' '.join(GETTEXT_BINARIES),
            'for i in ppc/lib/*.dylib ; do lipo -arch ppc ppc/lib/`basename $$i` -arch i386 x86/lib/`basename $$i` -create -output univ/lib/`basename $$i`; done',
            # FIXME: save dSYM info?
            'strip -u -r univ/bin/*',
            'strip -x univ/lib/*.dylib',
            ],
        environment=OSX_ENVIRONMENT_COMMON,
        outputs=['univ/*'])

gettext_win32 = env.BuildComponent(
        name='gettext-win32',
        agent='mingw',
        sources=src_gettext,
        deps=[(libiconv_win32, 'libiconv')],
        commands=[
            './configure --host=$$MINGW_HOST --with-libiconv-prefix=`pwd`/libiconv --enable-threads=win32 %s CC=$$MINGW_CC_42 CXX=$$MINGW_CXX_42' % GETTEXT_CONFIGURE,
            'make',
            'make install-strip DESTDIR=`pwd`/D',
            'cp libiconv/bin/*.dll D/usr/local/bin',
            '$$MINGW_HOST-strip -x D/usr/local/bin/*.dll', # FIXME
            'cp COPYING D/usr/local/bin',
            'cp $$MINGW_DIR/bin/mingwm10.dll D/usr/local/bin',
            'cp $$MINGW_DIR/bin/pthreadGC2.dll D/usr/local/bin',
            ],
        outputs=['D/usr/local/bin/*'])


# -----------------------------------------------------------------
# Sparkle
# -----------------------------------------------------------------

src_sparkle = env.ComponentSources(
        name='sparkle',
        source=SPARKLE_URL,
        patches=SPARKLE_PATCHES)

## poedit 1.4.6.1

=== build/SConstruct ===
--- 
+++ 
@@ -34,9 +34,11 @@
 WX_CONFIGURE = '--disable-shared --enable-unicode --disable-tga'
 WX_WINFLAGS = 'SHARED=0 BUILD=release DEBUG_INFO=1 UNICODE=1 USE_MEDIA=0 USE_AUI=0 USE_RICHTEXT=0 USE_STC=0 USE_QA=1'
 
-SPARKLE_VERSION = '1.1'
-SPARKLE_URL = 'http://www.andymatuschak.org/files/Sparkle-%s.zip' % SPARKLE_VERSION
-SPARKLE_PATCHES = ['sparkle-1.1-carbon.patch']
+SPARKLE_VERSION = '1.5b6'
+SPARKLE_URL = 'http://sparkle.downtowncode.com/sources/CarbonSparkle_%s.zip' % SPARKLE_VERSION
+
+WINSPARKLE_VERSION = '0.1'
+WINSPARKLE_URL = 'http://d10xg45o6p6dbl.cloudfront.net/projects/w/winsparkle/WinSparkle-%s.zip' % WINSPARKLE_VERSION
 
 INNOSETUP_VERSION = '5.2.2'
 INNOSETUP_URL = 'http://files.jrsoftware.org/ispack/ispack-%s.exe' % INNOSETUP_VERSION
@@ -317,9 +319,3 @@
 # Sparkle
 # -----------------------------------------------------------------
 
-src_sparkle = env.ComponentSources(
-        name='sparkle',
-        source=SPARKLE_URL,
-        patches=SPARKLE_PATCHES)
-
-

=== debian/changelog ===
poedit (1.4.6.1-5) unstable; urgency=low

  * Take over package (Closes: #543856).
  * New upstream version (Closes: #556620, #607749).
  * Use debhelper v8 and reduce debian/rules
  * Update debian/copyright to current DEP5 standard (revision 166)
  * Link against libdb4.8
  * Update to Standards-Version 3.9.1
  * Lintian clean

 -- Pedro Ribeiro <p.m42.ribeiro@gmail.com>  Tue, 22 Feb 2011 18:31:44 +0100

poedit (1.4.2-5) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields in control.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 09:13:54 +0200

poedit (1.4.2-4) unstable; urgency=low

  * Updating section of the debug package.
  * Prefixing debhelper files with package name.
  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards version 3.8.2.
  * Updating year in copyright file.
  * Adding description field in menu file.
  * Updating rules file to current state of the art.
  * Using quilt rather than dpatch.
  * Building against db4.7.

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Jul 2009 12:14:00 +0200

poedit (1.4.2-3) unstable; urgency=low

  * Improving package long-description (Closes: #501019).
  * Replacing obsolete dh_clean -k with dh_prep.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Dec 2008 23:15:00 +0100

poedit (1.4.2-2) unstable; urgency=low

  * Adding debug package.

 -- Daniel Baumann <daniel@debian.org>  Tue, 16 Sep 2008 19:47:00 +0200

poedit (1.4.2-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Merging upstream version 1.4.2:
    - fixed Ctrl+Up/Down/PgUp/PgDn shortcuts when NumLock is on
      (Closes: #490828).
  * Removing 02-numlock.dpatch.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2008 15:15:00 +0200

poedit (1.4.1-3) unstable; urgency=medium

  * Adding patch from upstream to work arround of wxwidgets bug handling meta
    keys (Closes: #490828).

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 Aug 2008 23:12:00 +0200

poedit (1.4.1-2) unstable; urgency=low

  * Adding lintian overrides.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Reverting config.guess and config.sub to upstream.

 -- Daniel Baumann <daniel@debian.org>  Thu, 03 Jul 2008 09:58:00 +0200

poedit (1.4.1-1) experimental; urgency=low

  * New upstream release.
  * Removing watch file.

 -- Daniel Baumann <daniel@debian.org>  Sat, 03 May 2008 17:55:00 +0200

poedit (1.4-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Apr 2008 17:58:00 +0200

poedit (1.4~pre2-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 Mar 2008 18:41:00 +0100

poedit (1.3.9-3) unstable; urgency=medium

  * Added patch from upstream to disable automatic showing of comment windows
    (Closes: #465270).

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Feb 2008 00:08:00 +0100

poedit (1.3.9-2) unstable; urgency=low

  * Don't hide make errors in clean target of rules.
  * Updated menu file to new policy.
  * Added patch to correct binary name in desktop file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Dec 2007 13:58:00 +0100

poedit (1.3.9-1) unstable; urgency=low

  * New upstream release.
  * Updated to new policy.
  * Added patch from upstream to fix build with wxwidgets2.6 (instead of
    wxwidgets2.8).

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Dec 2007 08:49:00 +0100

poedit (1.3.8~pre1-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Nov 2007 21:58:00 +0100

poedit (1.3.7+20071010-2) unstable; urgency=medium

  * Rebuilding against lidb4.6.

 -- Daniel Baumann <daniel@debian.org>  Wed, 17 Oct 2007 10:29:00 +0200

poedit (1.3.7+20071010-1) unstable; urgency=medium

  * New upstream snapshot:
    - Keeps ordering of msgids from the previous state (Closes: #420685).

 -- Daniel Baumann <daniel@debian.org>  Wed, 10 Oct 2007 11:16:00 +0200

poedit (1.3.7-1) unstable; urgency=low

  * New upstream release:
    - Uses correct short-cut for Swedish po file (Closes: #336822).
  * Bumped package to debhelper 5.
  * Building against libdb4.5-dev now.

 -- Daniel Baumann <daniel@debian.org>  Sun, 15 Jul 2007 21:33:00 +0200

poedit (1.3.6-1) unstable; urgency=low

  * New upstream release:
    - dropping 01-po-corruption.dpatch, was taken from a pre-release.
  * Removed win32 specific parts of long description (Closes: #405842).

 -- Daniel Baumann <daniel@debian.org>  Sat, 06 Jan 2007 19:54:00 +0100

poedit (1.3.5-2) unstable; urgency=medium

  * Applied patch from upstream to fix po corruption warning (Closes: #391934).

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Oct 2006 16:11:00 +0200

poedit (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * Dropped dpatch to update some po files, it went upstream.

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Oct 2006 23:31:00 +0200

poedit (1.3.4-4) unstable; urgency=low

  * Took over package from Luk.
  * Redone debian directory based on new debhelper templates, additionally:
    - launching /usr/bin/poeditor from the desktop file.
    - included additional docs.
    - included *.css for the html docs and imgages for translated html docs.
    - installing icon and pixmap from source rather than shipping an own copy.
    - using dpatch for upstream modifications.

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Jul 2006 08:07:00 +0200

poedit (1.3.4-3) unstable; urgency=low

  * Update Standards-Version to 3.7.2 (no changes).
  * Updated build dep on Berkeley DB to 4.4
  * Rebuild fixes SIGSEGV when trying to access help (Closes: #366614).

 -- Luk Claes <luk@debian.org>  Wed, 10 May 2006 00:25:10 +0200

poedit (1.3.4-2) unstable; urgency=low



=== debian/control ===
Source: poedit
Section: text
Priority: optional
Maintainer: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
Build-Depends: debhelper (>= 8), autotools-dev, gettext, libdb4.8-dev, libgtk2.0-dev, libgtkspell-dev, libwxgtk2.8-dev, wx-common, zip
Standards-Version: 3.9.1
Homepage: http://poedit.sourceforge.net/

Package: poedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gettext
Description: gettext catalog editor
 Poedit is an editor for gettext catalogs (.po files). It aims to provide a
 convenient approach to editing catalogs. It features UTF-8 support, fuzzy and
 untranslated records highlighting, whitespace highlighting, references browser,
 header editing and can be used to create new catalogs or update existing
 catalogs from source code with a single click. It is built with wxWidgets
 toolkit.

Package: poedit-dbg
Section: debug
Priority: extra
Architecture: any
Depends: poedit (= ${binary:Version}), ${misc:Depends}
Description: gettext catalog editor (debug)
 Poedit is an editor for gettext catalogs (.po files). It aims to provide a
 convenient approach to editing catalogs. It features UTF-8 support, fuzzy and
 untranslated records highlighting, whitespace highlighting, references browser,
 header editing and can be used to create new catalogs or update existing
 catalogs from source code with a single click. It is built with wxWidgets
 toolkit.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	CXXFLAGS="$(CXXFLAGS) -ggdb" \
	LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
	dh $@ --with autotools_dev

override_dh_install:
	dh_install
	mv debian/poedit/usr/bin/poedit debian/poedit/usr/bin/poeditor
	mv debian/poedit/usr/share/man/man1/poedit.1 debian/poedit/usr/share/man/man1/poeditor.1

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=poedit-dbg

## poedit 1.5.4

=== debian/changelog ===
poedit (1.5.4-1build1) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 04 Nov 2013 06:51:16 +0000

poedit (1.5.4-1) unstable; urgency=low

  * New upstream release (Closes: #684924).
  * Update to Standards-Version 3.9.3
  * New homepage URL (Closes: #692048).

 -- Pedro Ribeiro <p.m42.ribeiro@gmail.com>  Sat, 03 Nov 2012 08:41:13 +0000

poedit (1.4.6.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on versionless libdb-dev package (Closes: #621371)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 02 Jun 2011 13:15:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: poedit
 Section: text
 Priority: optional
-Maintainer: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
-Build-Depends: debhelper (>= 8), autotools-dev, gettext, libdb4.8-dev, libgtk2.0-dev, libgtkspell-dev, libwxgtk2.8-dev, wx-common, zip
-Standards-Version: 3.9.1
-Homepage: http://poedit.sourceforge.net/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
+Build-Depends: debhelper (>= 8), autotools-dev, gettext, libdb++-dev, libgtk2.0-dev, libgtkspell-dev, libwxgtk2.8-dev, wx-common, zip, libboost-dev
+Standards-Version: 3.9.3
+Homepage: http://www.poedit.net/
 
 Package: poedit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 %:
-	CXXFLAGS="$(CXXFLAGS) -ggdb" \
-	LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
+	CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS) $(CXXFLAGS) $(CPPFLAGS) -ggdb" \
+	LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) $(LDFLAGS) -Wl,--as-needed" \
 	dh $@ --with autotools_dev
 
 override_dh_install:
@@ -15,3 +15,7 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=poedit-dbg
+
+override_dh_auto_clean:
+	if [ -e Makefile ]; then make distclean; fi
+

=== debian/watch ===
version=3
http://sf.net/poedit/poedit-(.+)\.tar\.gz

## poedit 1.6.10

=== debian/changelog ===
poedit (1.6.10-2) unstable; urgency=medium

  * Add CC-BY-SA-3.0 copyright to silk icons (cfr: upstream pull request #130).
  * Mention tango people in copyright file.
    - They are released into public domain and since they are disseminated all
      around the source code, upstream mentioned it is easier to use MIT.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 14 Dec 2014 18:43:22 +0100

poedit (1.6.10-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 17 Oct 2014 11:39:58 +0200

poedit (1.6.9-4) unstable; urgency=medium

  [ Andreas Rönnquist ]
  * Remove README.source, not necessary since we use a tarball
    that doesn't need modifying before distribution by Debian.

  [ Gianfranco Costamagna ]
  * add missing poedit-dump-legacy-tm install file.

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 13 Oct 2014 02:23:57 +0200

poedit (1.6.9-3) unstable; urgency=medium

  * Really fix build failures by using install-indep
    and tweaking auto_install target.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 11 Oct 2014 16:14:24 +0200

poedit (1.6.9-2) unstable; urgency=medium

  * Fix build failure when poedit-common is not built.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 11 Oct 2014 14:15:33 +0200

poedit (1.6.9-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Set Debian l10n developers as Maintainer.
  * Set Timur and myself and Andreas as uploaders
    (Closes: #749815).
  * Add liblucene++-dev to build depends.
  * Update pixmap file.
  * Use dh-autoreconf.
  * Remove -DNDEBUG hack, the WXDEBUG assertion has been
    fixed properly upstream (github issue 85).
  * Bump std-version to 3.9.6, no changes required.

  [ Andreas Rönnquist ]
  * Add clean target cleaning generated file
  * Add Author and Description to patch
    - 01-desktop.patch
  * Split out arch-independent stuff to pedit-common
  * Add Vcs-* fields
  * Indent description
  * Remove unnessecary prefix=/usr from dh_auto_configure
  * Fix description - One line short description plus multiline long description
  * Clean up short description
  * Fix watchfile for new sourcefile location
  * Add build-deps on libicu-dev, libboost-regex-dev and libboost-system-dev

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 10 Oct 2014 10:21:40 +0200

poedit (1.5.4-3) unstable; urgency=medium

  * QA upload.
  * Build with -DNDEBUG to disable WXDEBUG assertions.  (Closes: #754205)

 -- Olly Betts <olly@survex.com>  Thu, 24 Jul 2014 18:03:06 +1200

poedit (1.5.4-2) unstable; urgency=medium

  * QA upload.

  [ Gianfranco Costamagna ]

  * d/control: change b-d from wx2.8 to wx3.0 (Closes: #741580).

  [ Olly Betts ]

  * Package orphaned, so set maintainer to QA group.
  * Update to debhelper compat 9 to fully enable hardening flags.
  * configure with --disable-silent-rules so that the build logs are more
    useful.
  * Update to Standards-Version 3.9.5 (no changes required).

 -- Olly Betts <olly@survex.com>  Wed, 25 Jun 2014 13:22:41 +1200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,33 @@
 Source: poedit
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pedro Ribeiro <p.m42.ribeiro@gmail.com>
-Build-Depends: debhelper (>= 8), autotools-dev, gettext, libdb++-dev, libgtk2.0-dev, libgtkspell-dev, libwxgtk2.8-dev, wx-common, zip, libboost-dev
-Standards-Version: 3.9.3
+Maintainer: Debian l10n developers <debian-l10n-devel@lists.alioth.debian.org>
+Uploaders: Andreas Rönnquist <gusnan@debian.org>,
+           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>,
+           Тимирханов Тимур <timur.timirkhanov@gmail.com>
+Build-Depends: asciidoc,
+               debhelper (>= 9),
+               dh-autoreconf,
+               gettext,
+               libboost-dev,
+               libdb++-dev,
+               libgtk2.0-dev,
+               libgtkspell-dev,
+               liblucene++-dev,
+               libwxgtk3.0-dev,
+               libicu-dev,
+               libboost-regex-dev,
+               libboost-system-dev,
+               xsltproc,
+               zip
+Standards-Version: 3.9.6
 Homepage: http://www.poedit.net/
+Vcs-Git: git://anonscm.debian.org/debian-l10n/poedit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-l10n/poedit.git
 
 Package: poedit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gettext
+Depends: gettext, poedit-common, ${misc:Depends}, ${shlibs:Depends}
 Description: gettext catalog editor
  Poedit is an editor for gettext catalogs (.po files). It aims to provide a
  convenient approach to editing catalogs. It features UTF-8 support, fuzzy and
@@ -32,3 +50,20 @@
  toolkit.
  .
  This package contains the debugging symbols.
+
+Package: poedit-common
+Architecture: all
+Recommends: poedit
+Depends: ${misc:Depends}
+Breaks: poedit (<<1.6.9)
+Replaces: poedit (<<1.6.9)
+Description: Common files for poedit
+ Poedit is an editor for gettext catalogs (.po files). It aims to provide a
+ convenient approach to editing catalogs. It features UTF-8 support, fuzzy and
+ untranslated records highlighting, whitespace highlighting, references browser,
+ header editing and can be used to create new catalogs or update existing
+ catalogs from source code with a single click. It is built with wxWidgets
+ toolkit.
+ .
+ This package includes documentation, examples and locale files for the
+ Debian poedit packages that are common for all architectures.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./bootstrap
	dh_auto_configure -- --disable-silent-rules --enable-debug

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/bin/poedit debian/tmp/usr/bin/poeditor
	mv debian/tmp/usr/share/man/man1/poedit.1 debian/tmp/usr/share/man/man1/poeditor.1
	mkdir -p debian/tmp/usr/lib/poedit/
	mv debian/tmp/usr/lib/*/poedit-dump-legacy-tm debian/tmp/usr/lib/poedit/poedit-dump-legacy-tm

override_dh_install-indep:
	dh_install -ppoedit-common debian/tmp/usr/share/locale usr/share/
	dh_install -ppoedit-common debian/tmp/usr/share/poedit usr/share/
	find debian/poedit-common/usr/share/locale -type d -empty -delete

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=poedit-dbg

=== debian/watch ===
version=3
http://poedit.net/download .*/poedit-(\d\S*)\.tar\.gz
